Skip to main content

Experience Domain Actions

https://api.losant.com/applications/APPLICATION_ID/experience/domains/EXPERIENCE_DOMAIN_ID

Below are the various requests that can be performed against the Experience Domain resource, as well as the expected parameters and the potential responses.

Delete​

Deletes an experience domain

Method And Url​

DELETE https://api.losant.com/applications/APPLICATION_ID/experience/domains/EXPERIENCE_DOMAIN_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, experienceDomain.*, or experienceDomain.delete.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EXPERIENCE_DOMAIN_IDID associated with the experience domain575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.losant.com/applications/APPLICATION_ID/experience/domains/EXPERIENCE_DOMAIN_ID

Successful Responses​

CodeTypeDescription
200SuccessIf experience domain was successfully deleted

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if experience domain was not found

Get​

Retrieves information on an experience domain

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/experience/domains/EXPERIENCE_DOMAIN_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, experienceDomain.*, or experienceDomain.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EXPERIENCE_DOMAIN_IDID associated with the experience domain575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/experience/domains/EXPERIENCE_DOMAIN_ID

Successful Responses​

CodeTypeDescription
200Experience DomainExperience domain information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if experience domain was not found

Patch​

Updates information about an experience domain

Method And Url​

PATCH https://api.losant.com/applications/APPLICATION_ID/experience/domains/EXPERIENCE_DOMAIN_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, experienceDomain.*, or experienceDomain.patch.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
EXPERIENCE_DOMAIN_IDID associated with the experience domain575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Experience Domain Patch schema. For example, the following would be a valid body for this request:

{
"domainName": "my.domain.example.com",
"sslCert": "-----BEGIN CERTIFICATE-----\nMY_SSL_CERTIFICATE\n-----END CERTIFICATE-----",
"sslKey": "-----BEGIN PRIVATE KEY-----\nMY_SSL_KEY\n-----END PRIVATE KEY-----",
"version": "develop"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"domainName":"my.domain.example.com","sslCert":"-----BEGIN CERTIFICATE-----\nMY_SSL_CERTIFICATE\n-----END CERTIFICATE-----","sslKey":"-----BEGIN PRIVATE KEY-----\nMY_SSL_KEY\n-----END PRIVATE KEY-----","version":"develop"}' \
https://api.losant.com/applications/APPLICATION_ID/experience/domains/EXPERIENCE_DOMAIN_ID

Successful Responses​

CodeTypeDescription
200Experience DomainUpdated experience domain information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if experience domain was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 3 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key
          • ▶
            {} 2 keys

        Error Example​

        • ▶
          {} 2 keys
          • "NotFound"
          • "Application was not found"

        Experience Domain​

        Schema for a single Experience Domain

        Experience Domain Schema​

        • ▶
          {} 3 keys
          • "http://json-schema.org/draft-07/schema#"
          • "object"
          • ▶
            {} 9 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 3 keys
                        • ▶
                          {} 3 keys
                          • ▶
                            {} 3 keys
                            • ▶
                              {} 3 keys

                          Experience Domain Example​

                          • ▶
                            {} 7 keys
                            • "58c1de6c8f812590d8e82980"
                            • "58c1de6c8f812590d8e82980"
                            • "575ec8687ae143cd83dc4a97"
                            • "2016-06-13T04:00:00.000Z"
                            • "2016-06-13T04:00:00.000Z"
                            • "my.domain.example.com"
                            • "develop"

                          Experience Domain Patch​

                          Schema for the body of an Experience Domain modification request

                          Experience Domain Patch Schema​

                          • ▶
                            {} 4 keys
                            • "http://json-schema.org/draft-07/schema#"
                            • "object"
                            • ▶
                              {} 5 keys
                              • ▶
                                {} 1 key
                                • ▶
                                  {} 1 key
                                  • ▶
                                    {} 1 key
                                    • ▶
                                      {} 1 key
                                      • ▶
                                        {} 3 keys
                                      • false

                                    Experience Domain Patch Example​

                                    • ▶
                                      {} 4 keys
                                      • "my.domain.example.com"
                                      • "-----BEGIN CERTIFICATE----- MY_SSL_CERTIFICATE -----END CERTIFICATE-----"
                                      • "-----BEGIN PRIVATE KEY----- MY_SSL_KEY -----END PRIVATE KEY-----"
                                      • "develop"

                                    Success​

                                    Schema for reporting a successful operation

                                    Success Schema​

                                    • ▶
                                      {} 3 keys
                                      • "http://json-schema.org/draft-07/schema#"
                                      • "object"
                                      • ▶
                                        {} 1 key
                                        • ▶
                                          {} 2 keys

                                      Success Example​

                                      • ▶
                                        {} 1 key
                                        • true

                                      Was this page helpful?


                                      Still looking for help? You can also search the Losant Forums or submit your question there.